<section>
    <h2>Qu'est ce que le Color Module en Css ?</h2>
    <ul>
      <li class="fragment">Ce module permet de définir la couleur utilisée dans les pages web</li>
      <li class="fragment"><code>color</code> définit la couleur de premier plan et l'opacité d'un élément (le texte)</li>
      <li class="fragment">Pour définir la couleur de l'arrière plan : <code>background-color</code></li>
      <li class="fragment">Il existe beaucoup de propriétés en CSS pour colorier comme on le souhaite un élement (l'angle, la surface etc.)</code></li>
    </ul>
  </section>
  <section>
    <h2>Quelles valeurs pour la couleur ?</h2>
    <ul>
      <li class="fragment">La couleur du texte courant de la page : <code style="color:currentColor">current color</code></li>
      <li class="fragment">Les couleurs brutes : <code style="color:pink">pink</code>, <code style="color:red;">red</code>, <code style="color:green;">green</code> etc.</li>
      <li class="fragment">Hexa: <code style="color: #009900;">#009900</code></li>
      <li class="fragment">RGB: <code style="color: rgba(42, 119, 163, 0.6)">rgba(34, 12, 64, 0.6)</code></li>
      <li class="fragment">HSL: <code style="color: hsl(120deg, 100%, 90%)"> hsl(120deg, 100%, 90%)</code></li>
      <li class="fragment">Valeurs globales <code style="color: initial">initial</code>, <code style="color:inherit">inherit</code>, <code style="color:unset">unset</code></li>            
    </ul>
  </section>
  <section>
    <h2>Les couleurs basiques</h2>
    <img src="images/couleur_basiques.png">
  </section>
  <section>
    <h2>Les couleurs nommées</h2>
    <p class="fragment"> Il existe beaucoup de couleurs nommées disponibles (au moins 200)</p>
    <p class="fragment"> Par exemple : <code style="color:salmon">salmon</code>, <code style="color:limegreen">limegreen</code> ou <code style="color:darkturquoise">darkturquoise</code></p>
  </section>
  <section>
    <h2>Documentation</h2>
    <ul>
      <li class="fragment"><a href="https://www.w3.org/TR/2018/REC-css-color-3-20180619/">Css Color Module Level 3 (CSS3) -> 19/06/2018</a></li>
      <li class="fragment"><a href="https://www.w3.org/TR/css-color-4/">Css Color Module Level 4 (CSS4) -> 5/11/2019</a></li>
      <li class="fragment"><a href="https://drafts.csswg.org/css-color-5/">Css Color Module Level 5(CSS5) -> 18/09/2020 (WIP) </a></li>
    </ul>        
  </section>
  <section>
    <h2>Générateurs de couleurs</h2>
    <ul>
      <li class="fragment"><a href="https://www.w3schools.com/colors/colors_picker.asp">W3schools HTML color picker</a></li>
      <li class="fragment"><a href="https://www.w3schools.com/w3css/w3css_color_generator.asp">W3schools Générateur de couleurs de thèmes</a></li>
      <li class="fragment"><a href="https://coolors.co/">Coolors : générateur d'association de couleurs</a></li>
    </ul>        
  </section>
</section>
<section>